summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Erik Hanson2011-07-18 07:39:25 +0200
committer Robby Workman2011-07-18 07:39:25 +0200
commit3dbde6e275425213b30a2b7ae1bcfa7c3950a49e (patch)
tree60a352027dbd752fd35e99638f6cbfb44339f9ce /multimedia
parent305631d9b3d2c631709b21b8305d50c9286edf3e (diff)
downloadslackbuilds-3dbde6e275425213b30a2b7ae1bcfa7c3950a49e.tar.gz
multimedia/umplayer: Added (Universal Media Player)
This replaces smplayer in our repo. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/umplayer/README5
-rw-r--r--multimedia/umplayer/doinst.sh24
-rw-r--r--multimedia/umplayer/slack-desc19
-rw-r--r--multimedia/umplayer/umplayer.SlackBuild83
-rw-r--r--multimedia/umplayer/umplayer.info10
5 files changed, 141 insertions, 0 deletions
diff --git a/multimedia/umplayer/README b/multimedia/umplayer/README
new file mode 100644
index 0000000000..8292660d7d
--- /dev/null
+++ b/multimedia/umplayer/README
@@ -0,0 +1,5 @@
+UMPlayer is the media player that fills all your needs. With
+dozens of advanced features and built-in codecs, it can handle
+any media format, and can play Audio CDs, DVDs, (S)VCDs, TV and
+Radio cards, YouTube and SHOUTcast streams, and even incomplete
+or damaged media files.
diff --git a/multimedia/umplayer/doinst.sh b/multimedia/umplayer/doinst.sh
new file mode 100644
index 0000000000..dcf53b0068
--- /dev/null
+++ b/multimedia/umplayer/doinst.sh
@@ -0,0 +1,24 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/umplayer/input.conf.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/umplayer/slack-desc b/multimedia/umplayer/slack-desc
new file mode 100644
index 0000000000..8fc4b8b7ee
--- /dev/null
+++ b/multimedia/umplayer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+umplayer: UMPlayer (Universal Media Player)
+umplayer:
+umplayer: UMPlayer is the media player that fills all your needs. With
+umplayer: dozens of advanced features and built-in codecs, it can handle
+umplayer: any media format, and can play Audio CDs, DVDs, (S)VCDs, TV and
+umplayer: Radio cards, YouTube and SHOUTcast streams and even incomplete
+umplayer: or damaged media files.
+umplayer:
+umplayer:
+umplayer:
+umplayer:
diff --git a/multimedia/umplayer/umplayer.SlackBuild b/multimedia/umplayer/umplayer.SlackBuild
new file mode 100644
index 0000000000..6f02b5730f
--- /dev/null
+++ b/multimedia/umplayer/umplayer.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for UMPlayer
+
+# Copyright 2011 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=umplayer
+VERSION=${VERSION:-r173}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix DOC_PATH and CONF_PATH
+sed -i "s%share/doc/packages/umplayer%doc/$PRGNAM-$VERSION%" Makefile
+sed -i "s%^CONF_PREFIX%#CONF_PREFIX%" Makefile
+
+make PREFIX=/usr
+make PREFIX=/usr DESTDIR=$PKG install
+
+strip --strip-unneeded $PKG/usr/bin/*
+
+# Kill the useless .svn directories
+find $PKG -type d -name '.svn' | xargs rm -rf
+
+# Use CONF_PATH
+mkdir -p $PKG/etc/umplayer
+mv $PKG/usr/share/umplayer/input.conf $PKG/etc/umplayer/input.conf.new
+ln -s /etc/umplayer/input.conf $PKG/usr/share/umplayer/input.conf
+
+mv $PKG/usr/share/man $PKG/usr
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/umplayer/umplayer.info b/multimedia/umplayer/umplayer.info
new file mode 100644
index 0000000000..f1511b59bb
--- /dev/null
+++ b/multimedia/umplayer/umplayer.info
@@ -0,0 +1,10 @@
+PRGNAM="umplayer"
+VERSION="r173"
+HOMEPAGE="http://www.umplayer.com/"
+DOWNLOAD="http://sl1200.org/~erik/files/umplayer-r173.tar.bz2"
+MD5SUM="6b3174fbf2b5ad6ed902cf1e208be417"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"